var pageNo = 1;
var totalPages = 0;

var param1 = '';
var param2 = '';
var param3 = '';

//列表渲染
getListDataAjax();

//获取列表 ajax请求
function getListDataAjax(queryParam = {}, pageNo = 1) {

    queryParam.pageNo = pageNo;
    // queryParam.pageSize = 20;

    ajaxRequest(EVENT_DANGER_MANAGE_LIST, "POST", queryParam, function(result) {
        let data = result.RESULT.pageList;
        let items = '';
        if (result.RESULT.totalCount > 0) {
            data.forEach(function(item, key) {

                var time = item.time.time ? getFormatDate(item.time.time) : '';
                var clsj = item.clsj.time ? getFormatDate(item.clsj.time) : '';
                var clztClassName = item.clzt == '已处理' ? 'processed' : 'unprocess';

                items += "<tr>" +
                    "<td class='status' data-user='" + JSON.stringify(item) + "' data-id=" + item.id + "></td>" +
                    "<td>" + item.orderIdx + "</td>" +
                    "<td>" + item.company_name + "</td>" +
                    "<td>" + time + "</td>" +
                    "<td>" + item.data + "</td>" +
                    "<td>" + item.data4 + "</td>" +
                    "<td>" + item.fullname + "</td>" +
                    "<td class='" + clztClassName + "'>" + item.clzt + "</td>" +
                    "<td>" + item.clr + "</td>" +
                    "<td>" + clsj + "</td>" +
                    "</tr>"
            })
        }




        $('#dataList').html(items);
        $('#totalCount').html(result.totalCount)
        $('#handled').html(result.yclCount)
        $('#unhandle').html(result.wclCount)
        $('#handleRate').html(result.cll)

        totalPages = result.RESULT.totalPages;
        $('#totalPage').html(totalPages); //总共多少页
        $('#dataTotal').html(result.RESULT.totalCount); //总共多少条数据
        $('#currentPage').val(pageNo); //当前页面
        let pageFrom = (pageNo - 1) * result.RESULT.pageSize + 1; //开始
        let pageTo = result.RESULT.pageNo * result.RESULT.pageSize; //结束
        pageTo = pageTo > result.RESULT.totalCount ? result.RESULT.totalCount : pageTo;
        $('#pageFrom').html(pageFrom);
        $('#pageTo').html(pageTo);

        // 无数据时
        if (!data.length) {
            $('.pager.has-data').hide()
            $('.pager.no-data').show()
        } else {
            $('.pager.has-data').show()
            $('.pager.no-data').hide()
        }

        if (pageNo < totalPages) {
            $('#nextPageButton,#lastPageButton').removeClass('disabled');
        } else {
            $('#nextPageButton,#lastPageButton').addClass('disabled');
        }
        if (pageNo === 1) {
            $('#firstPageButton,#prevPageButton').addClass('disabled');
        } else {
            $('#firstPageButton,#prevPageButton').removeClass('disabled');
        }
    }, function(errorMsg) {
        alert("请求数据失败!");
    })
}

//按钮搜索
$('#buttonSearch').on('click', function() {
    pageNo = 1;
    getListDataAjax(getSearchParamObj());

    param1 = $('#time_start').val()
    param2 = $('#time_end').val()
    param3 = $('#clzt').val()
})

//拼接搜索条件
function getSearchParamObj() {
    let queryParam = {};
    let time_start = $('#time_start').val();
    let time_end = $('#time_end').val()
    let clzt = $('#clzt').val()
    queryParam.time_start = time_start;
    queryParam.time_end = time_end;
    queryParam.clzt = clzt;
    return queryParam;
}

//重置表单
$('.reset').click(resetForm);
//分页刷新按钮
$('.pg-refresh').click(resetForm);

//重置表单
function resetForm() {
    pageNo = 1;
    $("#clzt").val("");
    $("#time_start").val("");
    $("#time_end").val("");
    getListDataAjax(getSearchParamObj());

    param1 = $('#time_start').val()
    param2 = $('#time_end').val()
    param3 = $('#clzt').val()
}

//分页操作
$('#firstPageButton').on('click', function() {
    pageNo = 1;
    getListDataAjax(getSearchParamObj(), 1);
})

$('#lastPageButton').on('click', function() {
    pageNo = totalPages;
    getListDataAjax(getSearchParamObj(), pageNo);
})

$('#prevPageButton').on('click', function() {
    pageNo -= 1;
    getListDataAjax(getSearchParamObj(), pageNo);
})

$('#nextPageButton').on('click', function() {
    pageNo += 1;
    getListDataAjax(getSearchParamObj(), pageNo);
})


//单位下拉
getNameList()

//单位下拉 ajax请求
function getNameList() {
    ajaxRequest(DEVICE_TYPE_COMPANYLIST, "POST", {}, function(result) {
        let data = result.RESULT;
        let items = '';
        data.forEach(function(item, key) {
            items += `<option value="${item.owner_id}">${item.owner_name}</option>`
        })
        $('#getNameList').append(items);
        $('#getNameList2').append(items);
    }, function(errorMsg) {
        alert("请求数据失败!");
    })
}

/*新增 修改 关闭 弹框*/
var layer = layui.layer;
var layerCreateIndex = '';
var layerUpdateIndex = ''
layui.use('layer', function() {
    //处置弹框信息 
    $('.handle').click(function() {
        if (!$('.pure-table tr').has('.checked').length) {
            layer.msg('请选择一条需要修改的信息!', { icon: 5 });
        } else {
            //重新渲染表单
            $('#handleDataForm')[0].reset()
            layui.use(['form'], function() {
                var form = layui.form;
                form.render('radio');
            });
            let userInfo = $('.pure-table tr').find('.checked').data('user');
            $('.handleDataOut input[name=company_name]').val(userInfo.company_name)
            $('.handleDataOut input[name=name]').val(userInfo.name)
            $('.handleDataOut input[name=data]').val(userInfo.data)
            $('.handleDataOut input[name=id').val(userInfo.id)
            $('.handleDataOut input[name=dwtype]').val(userInfo.dwtype)
            $('.handleDataOut input[name=status]').val(userInfo.status)
            $('.handleDataOut input[name=device_code]').val(userInfo.device_code)
            $('.handleDataOut textarea[name=clnr]').val(userInfo.clnr)
            if (userInfo.clzt == "已处理") {
                $('.handleDataOut textarea[name=clnr]').attr({ readonly: 'true' })
                $('#handleUpdate').addClass('disabled')
                $('.handle-range').hide()
                $('.handleDataOut input[name=device_code]').val(userInfo.device_code)
                $('.handleDataOut input[name=clwb]').val(userInfo.clwb);
                $("input[type=radio]").attr("disabled", "true")
                if (userInfo.clwb == 0) {
                    $("#no").prop("checked", true);
                } else {
                    $("#yes").prop("checked", true);
                }
                layui.use(['form'], function() {
                    var form = layui.form;
                    form.render('radio');
                });
            } else {
                $('.handleDataOut textarea[name=clnr]').removeAttr("readonly")
                $("input[type=radio]").removeAttr("disabled")
                $('#handleUpdate').removeClass('disabled')
                $('.handle-range').show()
                layui.use(['form'], function() {
                    var form = layui.form;
                    form.render('radio');
                });
            }

            layerUpdateIndex = layer.open({
                type: 1,
                title: false,
                closeBtn: 0,
                shadeClose: true,
                skin: 'yourclass',
                area: ['410px', '440px'],
                content: $(".handleDataOut"),
                success: function() {
                    $('.clsBtn,.cancel').click(function() {
                        layer.close(layerUpdateIndex);
                    })
                }
            });
        }
    })
})

/* 处置发送请求 */
$('#handleUpdate').click(function() {

    //获取表单的值 并转换成对象
    let allParam = serializeArrayToObj($("#handleDataForm").serializeArray());

    //验证数据是否为空
    let res = validParamIsEmpty(allParam, {
        "clnr": "请输入处理内容",
    });

    if (res.code == -1) {
        alert(res.msg);
        return;
    }

    ajaxRequest(EVENT_DANGER_MANAGE_HANDLE, "POST", allParam, function(result) {
        layer.close(layerUpdateIndex);
        layer.msg('处置成功!', { icon: 6 });
        getListDataAjax();
    }, function(errorMsg) {
        alert("数据修改失败!");
    })
})



// 导出 start
$('.export').click(function() {
    getDataExport({ "time_start": param1, "time_end": param2, "clzt": param3 })
})

function getDataExport(queryParam = {}) {
    // 输出base64编码
    const base64 = s => window.btoa(unescape(encodeURIComponent(s)));

    ajaxRequest(EVENT_DANGER_MANAGE_EXPORT, "POST", queryParam, function(result) {
        console.log(result.RESULT)
        let data = result.RESULT;
        let newData = [];
        if (data) {
            data.forEach(function(item, index) {
                var time = item.time.time ? getFormatDate(item.time.time) : '';
                var clsj = item.clsj.time ? getFormatDate(item.clsj.time) : '';

                newData.push({ orderIdx: item.orderIdx, company_name: item.company_name, time: time, data: item.data, data4: item.data4, fullname: item.fullname, clzt: item.clzt, clr: item.clr, clsj: clsj })
            });
        }

        let str = '<tr style="text-align:center"><th>序号</th><th>单位名称</th><th>上报时间</th><th>报告数据</th><th>告警值</th><th>报告内容</th><th>处理状态</th><th>处理人</th><th>处理时间</th></tr>';
        // 循环遍历，每行加入tr标签，每个单元格加td标签
        for (let i = 0; i < newData.length; i++) {
            str += '<tr style="text-align:center">';
            for (const key in newData[i]) {
                // 增加\t为了不让表格显示科学计数法或者其他格式
                str += `<td x:str>${ newData[i][key] + '\t'}</td>`;
            }
            str += '</tr>';
        }
        // Worksheet名
        const worksheet = 'Sheet1'
        const uri = 'data:application/vnd.ms-excel;base64,';

        // 下载的表格模板数据
        const template = `<html xmlns:o="urn:schemas-microsoft-com:office:office" 
        xmlns:x="urn:schemas-microsoft-com:office:excel" 
        xmlns="http://www.w3.org/TR/REC-html40">
        <head><!--[if gte mso 9]><xml><x:ExcelWorkbook><x:ExcelWorksheets><x:ExcelWorksheet>
        <x:Name>${worksheet}</x:Name>
        <x:WorksheetOptions><x:DisplayGridlines/></x:WorksheetOptions></x:ExcelWorksheet>
        </x:ExcelWorksheets></x:ExcelWorkbook></xml><![endif]-->
        </head><body><table>${str}</table></body></html>`;

        // 通过创建a标签实现
        const link = document.createElement("a");
        link.href = uri + base64(template);
        // 对下载的文件命名
        link.download = "隐患管理数据表.xls";
        link.click();

    }, function(errorMsg) {
        alert("请求数据失败!");
    })
}
// 导出  end