/**新增 修改弹框中的列表渲染及分页操作**/

var innerPage = 1;


// 新增修改 组织人员 列表渲染 ajax请求
function getTeamInnerList(queryParam = {}, innerPage = 1) {
    queryParam.page = innerPage;
    queryParam.limit = 5; // 每页显示条数
    queryParam.start = (queryParam.page - 1) * queryParam.limit;
    ajaxRequest(RECORD_POINT_DETAIL, "POST", queryParam, function(result) {
        let data = result.RESULT;
        let items = '';
        if (result.totalCount > 0) {
            data.forEach(function(item, key) {
                items += "<tr>" + "<td class='status' data-id='" + item.id + "'></td>" + "<td>" + item.spot_name + "</td>" + "<td>" + item.spot_address + "</td>" + "<td ><a class='pointDetail' data-id=" + item.dwid + "><img src='../../images/tupianbtn.png'></a></td>" + "</tr>"
            })
            $('#dataList2').html(items);
            $('#dataList3').html(items);
        } else {
            $('#dataList2').html('');
            $('#dataList3').html('');
        }
        console.log(result)
        totalPages = result.totalCount / result.limit;
        totalPages = Math.ceil(totalPages);
        $('#totalPage2').html(totalPages); // 总共多少页
        $('#dataTotal2').html(result.totalCount); // 总共多少条数据
        $('#currentPage2').val(innerPage); // 当前页面
        let pageFrom = (innerPage - 1) * result.limit + 1; // 开始
        let pageTo = result.page * result.limit; // 结束
        pageTo = pageTo > result.totalCount ? result.totalCount : pageTo;
        $('#pageFrom2').html(pageFrom);
        $('#pageTo2').html(pageTo);

        // 无数据时
        if (!result.totalCount) {
            $('.pager2.has-data').hide()
            $('.pager2.no-data').show()
        } else {
            $('.pager2.has-data').show()
            $('.pager2.no-data').hide()
        }
        if (innerPage < totalPages) {
            $('#nextPageButton2,#lastPageButton2').removeClass('disabled');
        } else {
            $('#nextPageButton2,#lastPageButton2').addClass('disabled');
        }
        if (innerPage === 1) {
            $('#firstPageButton2,#prevPageButton2').addClass('disabled');
        } else {
            $('#firstPageButton2,#prevPageButton2').removeClass('disabled');
        }
    }, function(errorMsg) {
        alert("请求数据失败!");
    }, 3)
};


// 分页操作
$('#firstPageButton2').on('click', function() {
    innerPage = 1;
    getTeamInnerList({}, 1);
});

$('#lastPageButton2').on('click', function() {
    innerPage = totalPages;
    getTeamInnerList({}, innerPage);
});

$('#prevPageButton2').on('click', function() {
    innerPage -= 1;
    getTeamInnerList({}, innerPage);
});

$('#nextPageButton2').on('click', function() {
    innerPage += 1;
    getTeamInnerList({}, innerPage);
})

// 分页刷新按钮
$('.pg-refresh2').click(resetForm);

// 重置表单
function resetForm() {
    innerPage = 1;
    getTeamInnerList();
}


//点位详情弹框
$(document).on('click', 'a.pointDetail', function() {
    let dwId = $(this).data('id');
    layerDepartmentIndex = layer.open({
        type: 1,
        title: false,
        closeBtn: 0,
        shadeClose: true,
        skin: 'yourclass',
        area: [
            '400px', '400px'
        ],
        content: $(".pointDetailOut"),
        success: function() {
            ajaxRequest(RECORD_POINT_DETAIL, "POST", { "id": dwId }, function(result) {
                console.log(result.RESULT[0])
                var data = result.RESULT[0];
                $('#pointDetailUrl').attr('src', data.picture_route);
            }, function(errorMsg) {
                alert("请求数据失败!");
            }, 3);

            $('.clsBtn2,.cancel2').click(function() {
                innerPage = 1;
                layer.close(layerDepartmentIndex);
            })
        }
    })
})